commit:     cbd9554bbb6ef9dc6f601026eb418e9c00b2eddf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 04:44:42 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 04:54:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbd9554b

dev-python/pydantic-core: Bump to 2.24.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pydantic-core/Manifest                  |   1 +
 .../pydantic-core/pydantic-core-2.24.2.ebuild      | 167 +++++++++++++++++++++
 2 files changed, 168 insertions(+)

diff --git a/dev-python/pydantic-core/Manifest 
b/dev-python/pydantic-core/Manifest
index f1e36d55bdb5..e30d0d372fc1 100644
--- a/dev-python/pydantic-core/Manifest
+++ b/dev-python/pydantic-core/Manifest
@@ -46,6 +46,7 @@ DIST portable-atomic-1.6.0.crate 140689 BLAKE2B 
c91d06e04a87c9a207233d8a850859aa
 DIST proc-macro2-1.0.86.crate 48958 BLAKE2B 
4b89e07f23af8328dbb34fe2b3f1b202f1e6a3885a6269740a23359b41bb4099ac2484565d3b2b0936261689ca525785ac620c766997234fd8d0f409e80e5ea3
 SHA512 
1cdb7e22a35ae231d880c9420784c9acf97bda2db258b3d34aae5061dc1858449defe19a49e12c6a4173906aa72a4115059ac2db0fc760205fd2ab8b5b414434
 DIST pydantic_core-2.23.4.tar.gz 402156 BLAKE2B 
af899e149693907542296b5b4fa5f982d2dca5c090331703212aabbbce0a8e0badca3947affa9e42998949ebd18b1ffc2ad9904b47e130bbe7e90150c32bc527
 SHA512 
c7c9a303ff3c751108622f804f812f3793ad93a95e560b0d6b0a866c3bd41ed7bfdbcd87483f37ad3849969c72adde24083d1a9015ebd610847a7fa6d4068e24
 DIST pydantic_core-2.24.1.tar.gz 406309 BLAKE2B 
d87fb47c5e90709cc37dff510ba9f57aa2a6ffd23eb82c9c033cd5fd44304cc93fc0c4059038296b9de342943e7d1ebe002f9760b0c226c4ad2d71feb04e89cd
 SHA512 
e893138e658f8b3363027b34e9089da46747c382dcc5b814a89cd48e1e2fe7a4c68ee0931b51f2d4dc907a4dd6be1cd8da84881db715646a76f3cf20ab49b490
+DIST pydantic_core-2.24.2.tar.gz 406403 BLAKE2B 
4233c80e47121f745771d24dacbde6eb1e8053564f519daeb005858d12229fdd27d1e19b3c751d56cb9bf0d06473b48f8e9a550197ea18fd1efc63c987a475a9
 SHA512 
29f60aeea476a5a77e0ae489792fb63515f930bc2ea1bc73048bee8e9550d396fddac9df1001e392fa04054c74663756352257a9f848532cc8620a7a78012bed
 DIST pyo3-0.22.2.crate 538342 BLAKE2B 
faf347695117f9fe0ebe5cd7f6aa1b0dcfe718343875d6c06438046deccc1075f104d2a2413dcda41ae9827bc363aa147057b45968f6634f577a6a4510a4bb8e
 SHA512 
e8bae09059f50ffe477dad44499cedeaf3a734665f0fd8e8bd4b44f48578d21e4bdb8d55ceea00c5a27da750761842ddf89cfcecdecb2e7a4a17ab192259be9c
 DIST pyo3-0.22.3.crate 542516 BLAKE2B 
26607f4455a58ea704cc2d01dfe3857147e03ff891ab0aadab73c7eef2ecb4445097b369d8986c18bdd5efa3ba767b9f41411d5a8f10d6d06851634d07d42642
 SHA512 
17940627701b0d3c401ccb4221241e7bc727d2b89cc26bbb231aec597cda1c04f07d4315b617d4e9f85623a6fff0031f83c6b7afcaf442c50e694785b07022ad
 DIST pyo3-build-config-0.22.2.crate 31225 BLAKE2B 
c2e6a3d3d23b7f2f51bcbf1214ab20a298a1e62f85c9af3dab1e77b09f20b657b576feefffb18eb49d438f0ffab525b6bcd1086d500601c327ffd4fd24a719ee
 SHA512 
644c82d30bb27051557efcc9789a81380a64e29bc62abf97de88f42c3791dac74228c7a7d09e0d46d14f07c0475f0bc03fac6ed1367b9a616153e8820b94cbc8

diff --git a/dev-python/pydantic-core/pydantic-core-2.24.2.ebuild 
b/dev-python/pydantic-core/pydantic-core-2.24.2.ebuild
new file mode 100644
index 000000000000..0dbd7b85e7a4
--- /dev/null
+++ b/dev-python/pydantic-core/pydantic-core-2.24.2.ebuild
@@ -0,0 +1,167 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+CRATES="
+       ahash@0.8.11
+       aho-corasick@1.1.3
+       autocfg@1.3.0
+       base64@0.22.1
+       bitvec@1.0.1
+       cc@1.0.101
+       cfg-if@1.0.0
+       displaydoc@0.2.5
+       enum_dispatch@0.3.13
+       equivalent@1.0.1
+       form_urlencoded@1.2.1
+       funty@2.0.0
+       getrandom@0.2.15
+       hashbrown@0.14.5
+       heck@0.5.0
+       hex@0.4.3
+       icu_collections@1.5.0
+       icu_locid@1.5.0
+       icu_locid_transform@1.5.0
+       icu_locid_transform_data@1.5.0
+       icu_normalizer@1.5.0
+       icu_normalizer_data@1.5.0
+       icu_properties@1.5.1
+       icu_properties_data@1.5.0
+       icu_provider@1.5.0
+       icu_provider_macros@1.5.0
+       idna@0.5.0
+       idna@1.0.2
+       indexmap@2.2.6
+       indoc@2.0.5
+       itoa@1.0.11
+       jiter@0.5.0
+       lexical-parse-float@0.8.5
+       lexical-parse-integer@0.8.6
+       lexical-util@0.8.5
+       libc@0.2.155
+       litemap@0.7.3
+       memchr@2.7.4
+       memoffset@0.9.1
+       num-bigint@0.4.6
+       num-integer@0.1.46
+       num-traits@0.2.19
+       once_cell@1.19.0
+       percent-encoding@2.3.1
+       portable-atomic@1.6.0
+       proc-macro2@1.0.86
+       pyo3-build-config@0.22.3
+       pyo3-ffi@0.22.3
+       pyo3-macros-backend@0.22.3
+       pyo3-macros@0.22.3
+       pyo3@0.22.3
+       python3-dll-a@0.2.10
+       quote@1.0.36
+       radium@0.7.0
+       regex-automata@0.4.8
+       regex-syntax@0.8.5
+       regex@1.11.0
+       rustversion@1.0.17
+       ryu@1.0.18
+       serde@1.0.210
+       serde_derive@1.0.210
+       serde_json@1.0.128
+       smallvec@1.13.2
+       speedate@0.14.4
+       stable_deref_trait@1.2.0
+       static_assertions@1.1.0
+       strum@0.26.3
+       strum_macros@0.26.4
+       syn@2.0.68
+       synstructure@0.13.1
+       tap@1.0.1
+       target-lexicon@0.12.14
+       tinystr@0.7.6
+       tinyvec@1.6.1
+       tinyvec_macros@0.1.1
+       unicode-bidi@0.3.15
+       unicode-ident@1.0.12
+       unicode-normalization@0.1.23
+       unindent@0.2.3
+       url@2.5.2
+       utf16_iter@1.0.5
+       utf8_iter@1.0.4
+       uuid@1.10.0
+       version_check@0.9.5
+       wasi@0.11.0+wasi-snapshot-preview1
+       write16@1.0.0
+       writeable@0.5.5
+       wyz@0.5.1
+       yoke-derive@0.7.4
+       yoke@0.7.4
+       zerocopy-derive@0.7.34
+       zerocopy@0.7.34
+       zerofrom-derive@0.1.4
+       zerofrom@0.1.4
+       zerovec-derive@0.10.3
+       zerovec@0.10.4
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Core validation logic for pydantic written in Rust"
+HOMEPAGE="
+       https://github.com/pydantic/pydantic-core/
+       https://pypi.org/project/pydantic-core/
+"
+SRC_URI+="
+       ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 Unicode-DFS-2016
+       || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/typing-extensions-4.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=virtual/rust-1.70.0
+       test? (
+               >=dev-python/dirty-equals-0.5.0[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-6.63.0[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-3.10.0[${PYTHON_USEDEP}]
+               >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+               >=dev-python/pydantic-1.10.4[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/pydantic_core/_pydantic_core.*.so"
+
+src_prepare() {
+       sed -i -e '/--benchmark/d' pyproject.toml || die
+       sed -i -e '/^strip/d' Cargo.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_IGNORE=(
+               tests/benchmarks
+       )
+       local EPYTEST_DESELECT=(
+               # TODO: recursion till segfault
+               tests/serializers/test_functions.py::test_recursive_call
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       rm -rf pydantic_core || die
+       # tests link to libpython, so they fail to link on pypy3
+       [[ ${EPYTHON} != pypy3 ]] && cargo_src_test
+       epytest -p pytest_mock -p timeout -o xfail_strict=False
+}

Reply via email to